Last Comment Bug 678016 - Fix c++0x initializer list error found by clang
: Fix c++0x initializer list error found by clang
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: mozilla8
Assigned To: Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-10 12:55 PDT by Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
Modified: 2011-08-12 07:38 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix build with clang (1.29 KB, patch)
2011-08-10 12:55 PDT, Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
jaas: review+
Details | Diff | Review

Description Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2011-08-10 12:55:02 PDT
Created attachment 552188 [details] [diff] [review]
fix build with clang

Add explict casts to short.
    ::Point is a OS provided data type, so we cannot change it. I could try adding
    a nsShortPoint type and have WidgetToScreenOffset to return it, but that
    is a virtual method used in other OSs, so doing the cast looked like the
    best solution.
Comment 1 :Ehsan Akhgari (out sick) 2011-08-11 16:25:10 PDT
Pushed to inbound.
Comment 2 Matt Brubeck (:mbrubeck) 2011-08-12 07:38:01 PDT
https://hg.mozilla.org/mozilla-central/rev/ff8535faf76e

Note You need to log in before you can comment on or make changes to this bug.